# Generated by Django 2.2.16 on 2020-11-25 09:19

import bookmark_manager.models
from django.db import migrations, models
import djongo.models.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Bookmarks',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField()),
                ('link', models.TextField(unique=True)),
                ('title', models.TextField(max_length=50)),
                ('time_created', models.TextField()),
                ('time_updated', models.TextField()),
                ('publisher', models.TextField(max_length=30)),
                ('tags', djongo.models.fields.ListField(verbose_name=bookmark_manager.models.Tags)),
            ],
        ),
        migrations.CreateModel(
            name='Tags',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField()),
                ('title', models.TextField(max_length=20)),
                ('time_created', models.TextField()),
                ('time_updated', models.TextField()),
            ],
        ),
    ]
